Class Specialization
FMIndex
An index based on the Burrows-Wheeler transform.

Index

FMIndex

Index<TText, FMIndex<TOccSpec, TSpec> >
Include Headers
seqan/index.h
Parameters

TText | The text type. Types: String, StringSet
TOccSpec | Occurrence table specialisation. Types: SBM, WT Default: Tag.WT Remarks: The tags are really shortcuts for the different SentinelRankDictionarys
TSpec | FM index specialisation. Types: CompressText Default: void

Specialization of
Index
Metafunctions

Fibre | Type of a specific container member (fibre). (Index)
SAValue | The default alphabet type of a suffix array, i.e. the type to store a position of a string or string set. (Index)

Functions

begin | The begin of a container.
clear | Resets an object. (Index)
countSequences | Return the number of sequences in an index' underlying text. (Index)
end | The end of a container. (Index)
getFibre | Returns a specific fibre of a container. (Index)
indexCreate | Creates a specific Fibre. (Index)
indexRequire | On-demand creation of a specific Fibre. (Index)
indexSA | Shortcut for getFibre(.., FibreSA). (Index)
indexSupplied | Returns whether a specific Fibre is present. (Index)
indexText | Shortcut for getFibre(index, FibreText()). (Index)
length | The number of characters in the underlying text of the index is returned. (Index)
open | This functions opens an index from disk. (Index)
save | This functions saves an index to disk. (Index)
toSuffixPosition | This function computes the position of a specified position in the suffix array (additionally containing entries for the sentinels. The returned position correspond to the suffix array of the original text without sentinels.

Example Programs
Maximal Repeats, Index Finder StringSet, Mummy, Maximal Unique Matches, Index lcpAt, saAt, Index Finder, Index countOccurrencesMultiple, Supermaximal Repeats, Index countChildren
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00